Results 1 to 3 of 3

Thread: Catalyst beta 13.11 V9.4

  1. #1

    Default Catalyst beta 13.11 V9.4

    Last week, I installed successfully latest beta driver from amd.

    Today I got a number of updates, mesa related.

    Since these updates, when I start steam, I have a very familiar error message:

    OpenGL GLX context is not using direct rendering, which may cause performance problems.
    For more information visit https://support.steampowered.com/kb_...9938-EYZB-7457.

    Before I was able to fix this by just installing the amd drivers again.

    So I tried, but I get the message: They are already installed
    So I tried sh ./amd-catalyst-13.11-beta-V9.4-linux-x86.x86_64.run --uninstall
    But that gives me the next problem:
    One or more files have been altered since installation.
    Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for details.

    When I check the log file it tells me:
    *** AMD Catalyst(TM) Proprietary Driver Uninstall Log 2013-12-09 20:15:33 ***
    Symbolic link has been modified, //usr/lib64/libGL.so.1.2, since last install.
    One or more files have been altered since installation.
    Uninstall will not be completed.

    To force uninstall, removing all installed files without verification,
    run /usr/share/ati/amd-uninstall.sh --force.

    Forcing uninstall is not recommended and may cause system corruption.

    Questions:
    1) How to fix this?
    2) Is forcing an uninstall my only option?

    Option 2 has already wrecked my openSUSE install more then once, with previous version of openSUSE and the amd driver.

    Currently running openSUSE 13.1 64 bit.
    AMD phenom II X4 , HD 5750

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,336
    Blog Entries
    15

    Default Re: Catalyst beta 13.11 V9.4

    On Mon 09 Dec 2013 08:06:01 PM CST, Gps2010 wrote:


    Last week, I installed successfully latest beta driver from amd.

    Today I got a number of updates, mesa related.

    Since these updates, when I start steam, I have a very familiar error
    message:

    OpenGL GLX context is not using direct rendering, which may cause
    performance problems.
    For more information visit
    https://support.steampowered.com/kb_...9938-EYZB-7457.

    Before I was able to fix this by just installing the amd drivers again.

    So I tried, but I get the message: They are already installed
    So I tried sh ./amd-catalyst-13.11-beta-V9.4-linux-x86.x86_64.run
    --uninstall
    But that gives me the next problem:
    One or more files have been altered since installation.
    Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for
    details.

    When I check the log file it tells me:
    *** AMD Catalyst(TM) Proprietary Driver Uninstall Log 2013-12-09
    20:15:33 ***
    Symbolic link has been modified, //usr/lib64/libGL.so.1.2, since last
    install.
    One or more files have been altered since installation.
    Uninstall will not be completed.

    To force uninstall, removing all installed files without verification,
    run /usr/share/ati/amd-uninstall.sh --force.

    Forcing uninstall is not recommended and may cause system corruption.

    Questions:
    1) How to fix this?
    2) Is forcing an uninstall my only option?

    Option 2 has already wrecked my openSUSE install more then once, with
    previous version of openSUSE and the amd driver.

    Currently running openSUSE 13.1 64 bit.
    AMD phenom II X4 , HD 5750


    Hi
    I use the install script and build rpms via
    https://en.opensuse.org/SDB:AMD_fglrx and "Building the rpm yourself ";

    I just installed the updates and rebooted, all is fine, but don't run
    steam.....

    Code:
    fglrxinfo
    
    display: :0  screen: 0
    OpenGL vendor string: Advanced Micro Devices, Inc.
    OpenGL renderer string: AMD Radeon HD 7340 Graphics
    OpenGL version string: 4.3.12614 Compatibility Profile Context 13.25.18
    See here for the beta version https://lizards.opensuse.org/tag/amd/

    You could download the script, build your own rpms and let it
    re-install. The added rpm and script auto rebuild after a kernel update
    as well...

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SLED 11 SP3 (x86_64) GNOME 2.28.0 Kernel 3.0.101-0.8-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  3. #3

    Default Re: Catalyst beta 13.11 V9.4

    I am confused but I might have solved it.
    I started yast and typed FGRLX

    Although the driver was already installed, yast installed them anyway.

    That seems to have fixed the issue.

    Code:
     guus@linux-wovc:~> fglrxinfo
    display: :0  screen: 0
    OpenGL vendor string: Advanced Micro Devices, Inc.
    OpenGL renderer string: ATI Radeon HD 5700 Series 
    OpenGL version string: 4.3.12614 Compatibility Profile Context 13.25.18
    And when I start steam the error is gone.

    Looking back I prob should have waited a few days longer and then just do in a console:
    Code:
    zypper dup -r FGLRX-BETA

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •